com.genesyslab.wfm8.API.service.config810

## Class CfgFixedState

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config810.CfgFixedState

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgFixedState
      extends java.lang.Object
      implements java.io.Serializable

  Fixed state description (`ECfgFixedStateID`)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `protected int` | `wmFixedStateId` Fixed State Id (`ECfgFixedStateID`)
    `protected java.lang.String` | `wmName` Fixed State Name
    `protected java.lang.String` | `wmShortName` Fixed State Short Name

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgFixedState()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getWmFixedStateId()` Gets the value of the wmFixedStateId property.
    `java.lang.String` | `getWmName()` Gets the value of the wmName property.
    `java.lang.String` | `getWmShortName()` Gets the value of the wmShortName property.
    `int` | `hashCode()`
    `void` | `setWmFixedStateId(int value)` Sets the value of the wmFixedStateId property.
    `void` | `setWmName(java.lang.String value)` Sets the value of the wmName property.
    `void` | `setWmShortName(java.lang.String value)` Sets the value of the wmShortName property.
    `java.lang.String` | `toString()`
    `CfgFixedState` | `withWmFixedStateId(int value)`
    `CfgFixedState` | `withWmName(java.lang.String value)`
    `CfgFixedState` | `withWmShortName(java.lang.String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmFixedStateId

          protected int wmFixedStateId

      Fixed State Id (`ECfgFixedStateID`)

    - #### wmName

          protected java.lang.String wmName

      Fixed State Name

    - #### wmShortName

          protected java.lang.String wmShortName

      Fixed State Short Name

  - ### Constructor Detail

    - #### CfgFixedState

          public CfgFixedState()

  - ### Method Detail

    - #### getWmFixedStateId

          public int getWmFixedStateId()

      Gets the value of the wmFixedStateId property.

    - #### setWmFixedStateId

          public void setWmFixedStateId(int value)

      Sets the value of the wmFixedStateId property.

    - #### getWmName

          public java.lang.String getWmName()

      Gets the value of the wmName property.
      Returns:
        possible object is `String`

    - #### setWmName

          public void setWmName(java.lang.String value)

      Sets the value of the wmName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmShortName

          public java.lang.String getWmShortName()

      Gets the value of the wmShortName property.
      Returns:
        possible object is `String`

    - #### setWmShortName

          public void setWmShortName(java.lang.String value)

      Sets the value of the wmShortName property.
      Parameters:
        `value` - allowed object is `String`

    - #### withWmFixedStateId

          public CfgFixedState withWmFixedStateId(int value)

    - #### withWmName

          public CfgFixedState withWmName(java.lang.String value)

    - #### withWmShortName

          public CfgFixedState withWmShortName(java.lang.String value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.